function node_function(node)
	local power = Find("power")

	if power == "generator" then
		Layer("power")
		-- Iterate over all tags
		for k, v in pairs(AllTags()) do
			Attribute(k, v)
		end
	end
end
